Object Storage

List replications

get/object-storage/replications

See the replications of your organization: the ones that copy your buckets to another bucket (outgoing) and the ones other organizations send into your buckets (incoming), with their status, health and initial copy progress.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Query parameters

direction?string

outgoing, incoming or all

Default"all"Value in"outgoing""incoming""all"
bucket_uuid?string | null

Only the replications of this bucket (as source or destination)

Rangelength ≤ 36

Responses

Successful Response

application/json

array<ObjectStorageReplicationOut>

uuid*string
status*string
pause_reason?string | null
direction*string
Value in"outgoing""incoming"
source*ObjectStorageReplicationSourceOut
Properties (5)
bucket_uuid?string | null
bucket_name?string | null
project_id?integer | null
organization_name?string | null
same_organization*boolean
destination*ObjectStorageReplicationCubepathDestOut | ObjectStorageReplicationExternalDestOut
One of
ObjectStorageReplicationCubepathDestOut
Properties (6)
type*string
Value in"cubepath"
bucket_uuid?string | null
bucket_name?string | null
project_id?integer | null
organization_name?string | null
same_organization*boolean
ObjectStorageReplicationExternalDestOut
Properties (7)
type*string
Value in"external"
provider?string | null
endpoint?string | null
region?string | null
bucket?string | null
path_style*string
access_key_id?string | null

Masked: **** and the last 4 characters

rules*ObjectStorageReplicationRulesOut
Properties (6)
enabled*boolean
prefix?string | null
tags?array<ObjectStorageLifecycleTagOut>
Properties (2)
key*string
value*string
delete_marker_replication*boolean
delete_replication*boolean
existing_objects*boolean
health*string
health_reason?string | null
health_checked_at?string | null
backfill*ObjectStorageReplicationBackfillOut
Properties (6)
status*string
started_at?string | null
finished_at?string | null
objects*integer
bytes*integer
failed_objects*integer
error_message?string | null
created_at?string | null
active_at?string | null